<?php
// $Id: content_copy.inc,v 1.1.2.1 2008/09/23 04:04:30 quicksketch Exp $

/**
 * @file
 * Allow direct imports of content types by using content_copy module.
 */
 
/**
 * Import a content type from a file containing the exported code from 
 * admin/content/types/export.
 *
 * This method can be more easy to implement than manually creating node types
 * with the node.inc and then creating fields with content.inc. Content copy
 * can create the node type and all the fields in a single command.
 *
 * @param $file
 *   The path to a file containing the export.
 */
function install_content_copy_import_from_file($file) {
  // The import will be populate into the $content variable.
  $content = array();

  ob_start();
  include $file;
  ob_end_clean();

  $form_state['values']['type_name'] = '<create>';
  $form_state['values']['macro'] = '$content = '. var_export($content, 1) .';';
  $form_state['values']['op'] = t('Import');
  
  drupal_execute('content_copy_import_form', $form_state);  
}
